Bug 170613 - problems with cloud widget
Summary: problems with cloud widget
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Internet Services (show other bugs)
Version: 2.0-beta
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-07 14:37 UTC by Oliver Putz
Modified: 2009-12-09 11:28 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Putz 2008-09-07 14:37:42 UTC
Version:           1.90 (using 4.1.1 (KDE 4.1.1), Gentoo)
Compiler:          i686-pc-linux-gnu-gcc
OS:                Linux (i686) release 2.6.25-gentoo-r7

Steps to reproduce:

1) Open amarok
2) Use the "cashew thing" on the center bottom to add the cloud widget
3) See the default "cloud sentence" appear
4) Click on any word of that sentence
5) See amarok (Version 1.90, Using KDE 4.1.1) crash with the following backtrace:

Application: Amarok (amarok), signal SIGABRT
[Thread debugging using libthread_db enabled]
[New Thread 0xb4667930 (LWP 2413)]
[New Thread 0xae2ccb90 (LWP 2427)]
[New Thread 0xaeacdb90 (LWP 2426)]
[New Thread 0xaf2ceb90 (LWP 2425)]
[New Thread 0xb0805b90 (LWP 2424)]
[New Thread 0xb0004b90 (LWP 2422)]
[New Thread 0xb1061b90 (LWP 2419)]
[New Thread 0xb1862b90 (LWP 2418)]
[New Thread 0xb2084b90 (LWP 2417)]
[New Thread 0xb28d4b90 (LWP 2414)]
[KCrash handler]
#6  0xffffe424 in __kernel_vsyscall ()
#7  0xb4df8690 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#8  0xb4df9ed8 in *__GI_abort () at abort.c:88
#9  0xb60e936f in qt_message_output (msgType=QtFatalMsg, 
    buf=0xbfe0bdb0 "ASSERT: \"i >= 0 && i < size()\" in file ../../include/QtCore/../../src/corelib/tools/qstring.h, line 650") at global/qglobal.cpp:2061
#10 0xb60e942e in qFatal (msg=0xb6232afc "ASSERT: \"%s\" in file %s, line %d")
    at global/qglobal.cpp:2263
#11 0xb60e976f in qt_assert (assertion=0xb5eca2aa "i >= 0 && i < size()", 
    file=0xb5ec8fa4 "../../include/QtCore/../../src/corelib/tools/qstring.h", 
    line=650) at global/qglobal.cpp:1831
#12 0xb5e97599 in QDBusConnectionPrivate::handleObjectCall (this=0x8067c40, 
    msg=@0xbfe0e058)
    at ../../include/QtCore/../../src/corelib/tools/qstring.h:650
#13 0xb5e97c47 in QDBusConnectionPrivate::handleMessage (this=0x8067c40, 
    amsg=@0xbfe0e058) at qdbusintegrator.cpp:499
#14 0xb5e982bf in QDBusConnectionPrivate::sendWithReplyLocal (this=0x8067c40, 
    message=@0xbfe0e288) at qdbusintegrator.cpp:1718
#15 0xb5e99971 in QDBusConnectionPrivate::sendWithReply (this=0x8067c40, 
    message=@0xbfe0e288, sendMode=1, timeout=-1) at qdbusintegrator.cpp:1667
#16 0xb5e9a270 in QDBusConnectionPrivate::findMetaObject (this=0x8067c40, 
    service=@0x8705b18, path=@0x8705b20, interface=@0x8705b24, 
    error=@0x8705b28) at qdbusintegrator.cpp:1999
#17 0xb5ea65a4 in QDBusInterfacePrivate (this=0x8705ad0, serv=@0xbfe0e5bc, 
    p=@0xbfe0e5f0, iface=@0xbfe0e5b8, con=@0xbfe0e5b4)
    at qdbusinterface.cpp:62
#18 0xb5ea669b in QDBusInterface (this=0xbfe0e59c, service=@0xbfe0e5bc, 
    path=@0xbfe0e5f0, interface=@0xbfe0e5b8, connection=@0xbfe0e5b4, 
    parent=0x0) at qdbusinterface.cpp:123
#19 0xad926e06 in Cloud::cloudItemActivated (this=0x8826230, text=@0xbfe0e734)
    at /var/tmp/portage/media-sound/amarok-1.90/work/amarok-1.90/src/context/applets/cloud/Cloud.cpp:416
#20 0xad928f30 in Cloud::qt_metacall (this=0x8826230, 
    _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbfe0e70c)
    at /var/tmp/portage/media-sound/amarok-1.90/work/amarok_build/src/context/applets/cloud/Cloud.moc:139
#21 0xb61f9131 in QMetaObject::activate (sender=0x88943d0, 
    from_signal_index=<value optimized out>, to_signal_index=9, 
    argv=0xbfe0e70c) at kernel/qobject.cpp:3007
#22 0xb61fb028 in QMetaObject::activate (sender=0x88943d0, m=0xad92d8b0, 
    local_signal_index=0, argv=0xbfe0e70c) at kernel/qobject.cpp:3077
#23 0xad9269bf in CloudTextItem::clicked (this=0x88943d0, _t1=@0xbfe0e734)
    at /var/tmp/portage/media-sound/amarok-1.90/work/amarok_build/src/context/applets/cloud/Cloud.moc:81
#24 0xad927b33 in CloudTextItem::mousePressEvent (this=0x88943d0, 
    event=0xbfe0ee04)
    at /var/tmp/portage/media-sound/amarok-1.90/work/amarok-1.90/src/context/applets/cloud/Cloud.cpp:321
#25 0xb5a19532 in QGraphicsItem::sceneEvent (this=0x88943d8, event=0xbfe0ee04)
    at graphicsview/qgraphicsitem.cpp:3993
#26 0xb5a19601 in QGraphicsTextItem::sceneEvent (this=0x88943d0, 
    event=0xbfe0ee04) at graphicsview/qgraphicsitem.cpp:6785
#27 0xb5a33670 in QGraphicsScenePrivate::sendEvent (this=0x8416b70, 
    item=0x88943d8, event=0xbfe0ee04) at graphicsview/qgraphicsscene.cpp:1053
#28 0xb5a3867b in QGraphicsScenePrivate::sendMouseEvent (this=0x8416b70, 
    mouseEvent=0xbfe0ee04) at graphicsview/qgraphicsscene.cpp:1124
#29 0xb5a3f5ad in QGraphicsScenePrivate::mousePressEventHandler (
    this=0x8416b70, mouseEvent=0xbfe0ee04)
    at graphicsview/qgraphicsscene.cpp:1213
#30 0xb5a394b6 in QGraphicsScene::event (this=0x8416800, event=0xbfe0ee04)
    at graphicsview/qgraphicsscene.cpp:2986
#31 0xb549af1b in QApplicationPrivate::notify_helper (this=0x806c628, 
    receiver=0x8416800, e=0xbfe0ee04) at kernel/qapplication.cpp:3800
#32 0xb54a1a55 in QApplication::notify (this=0xbfe0fbac, receiver=0x8416800, 
    e=0xbfe0ee04) at kernel/qapplication.cpp:3392
#33 0xb7ac8ce9 in KApplication::notify (this=0xbfe0fbac, receiver=0x8416800, 
    event=0xbfe0ee04)
    at /var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kdeui/kernel/kapplication.cpp:311
#34 0xb61e2771 in QCoreApplication::notifyInternal (this=0xbfe0fbac, 
    receiver=0x8416800, event=0xbfe0ee04) at kernel/qcoreapplication.cpp:591
#35 0xb5a4a0aa in QGraphicsView::mousePressEvent (this=0x846a860, 
    event=0xbfe0f52c)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#36 0xb54f31b1 in QWidget::event (this=0x846a860, event=0xbfe0f52c)
    at kernel/qwidget.cpp:7017
#37 0xb582e193 in QFrame::event (this=0x846a860, e=0xbfe0f52c)
    at widgets/qframe.cpp:657
#38 0xb58c09e5 in QAbstractScrollArea::viewportEvent (this=0x846a860, e=0x6)
    at widgets/qabstractscrollarea.cpp:947
#39 0xb5a4c1d5 in QGraphicsView::viewportEvent (this=0x846a860, 
    event=0xbfe0f52c) at graphicsview/qgraphicsview.cpp:2334
#40 0xb58c2d3c in QAbstractScrollAreaFilter::eventFilter (this=0x83c7730, 
    o=0x83c8348, e=0xbfe0f52c) at widgets/qabstractscrollarea_p.h:102
#41 0xb61e21f1 in QCoreApplicationPrivate::sendThroughObjectEventFilters (
    this=0x806c628, receiver=0x83c8348, event=0xbfe0f52c)
    at kernel/qcoreapplication.cpp:698
#42 0xb549aefe in QApplicationPrivate::notify_helper (this=0x806c628, 
    receiver=0x83c8348, e=0xbfe0f52c) at kernel/qapplication.cpp:3796
#43 0xb54a23a8 in QApplication::notify (this=0xbfe0fbac, receiver=0x83c8348, 
    e=0xbfe0f52c) at kernel/qapplication.cpp:3527
#44 0xb7ac8ce9 in KApplication::notify (this=0xbfe0fbac, receiver=0x83c8348, 
    event=0xbfe0f52c)
    at /var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kdeui/kernel/kapplication.cpp:311
#45 0xb61e2771 in QCoreApplication::notifyInternal (this=0xbfe0fbac, 
    receiver=0x83c8348, event=0xbfe0f52c) at kernel/qcoreapplication.cpp:591
#46 0xb54a37e9 in QApplicationPrivate::sendMouseEvent (receiver=0x83c8348, 
    event=0xbfe0f52c, alienWidget=0x83c8348, nativeWidget=0x81273a0, 
    buttonDown=0xb5c5ec60, lastMouseReceiver=@0xb5c5ec64)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#47 0xb550b5d7 in QETWidget::translateMouseEvent (this=0x81273a0, 
    event=0xbfe0fa38) at kernel/qapplication_x11.cpp:4048
#48 0xb5509f0e in QApplication::x11ProcessEvent (this=0xbfe0fbac, 
    event=0xbfe0fa38) at kernel/qapplication_x11.cpp:3044
#49 0xb553035d in QEventDispatcherX11::processEvents (this=0x806c1b0, flags=
      {i = -1075774760}) at kernel/qeventdispatcher_x11.cpp:134
#50 0xb61e1300 in QEventLoop::processEvents (this=0xbfe0fb50, flags=
      {i = -1075774696}) at kernel/qeventloop.cpp:149
#51 0xb61e14a2 in QEventLoop::exec (this=0xbfe0fb50, flags={i = -1075774632})
    at kernel/qeventloop.cpp:200
#52 0xb61e38bf in QCoreApplication::exec () at kernel/qcoreapplication.cpp:849
#53 0xb549acb3 in QApplication::exec () at kernel/qapplication.cpp:3330
#54 0x0804b805 in main (argc=1, argv=0xbfe10094)
    at /var/tmp/portage/media-sound/amarok-1.90/work/amarok-1.90/src/main.cpp:127
#0  0xffffe424 in __kernel_vsyscall ()
Comment 1 Lydia Pintscher 2008-09-10 20:17:45 UTC
Is this still a problem with current SVN?
Comment 2 Leo Franchi 2008-09-10 21:08:50 UTC
AFAICT in svn it has an infinite loop on addition. basically the cloud applet needs some work, and if we don't get it working for beta3 or so i vote we just disable it for final.
Comment 3 Nikolaj Hald Nielsen 2008-10-05 13:01:45 UTC
The cloud applet needs a lot of work. It has been moved to the newly created amarok/playground and will not be installed by default.